# GimpUi.Ruler.add_track_widget

    @accepts(GimpUi.Ruler, Gtk.Widget)
    @returns(none)
    def add_track_widget(self, widget):
        # Python wrapper for gimp_ruler_add_track_widget()

Adds a "track widget" to the ruler. The ruler will connect to GtkWidget:motion-notify-event: on the track widget and update its position marker accordingly. The marker is correctly updated also for the track widget's children, regardless of whether they are ordinary children of off-screen children.

Since 2.8

self

  a GimpUi.Ruler

widget

  the track widget to add